Subject: RE: I-D ACTION:draft-ietf-mpls-lsp-query-02.txt

From: "Don Fedyk" <[email-masked]>
Date: Fri, 18 May 2001 10:50:46 -0400

Loa

> 
> 
> Eric,
> 
> 
> Eric Gray wrote:
> > 
> > Loa,
> > 
> >     Because you cannot have perfect knowledge of the state of
> > the network.  What you say about the difference in the state of
> > the network between times 't' and 't+n' will also be true of the
> > difference between times 't+(a(n))' and 't+((a+1)(n))'.  
> 
> This seems to strengthen what I said. At any point in time, after
> just shortly before the receipt of the query response, there is
> an uncertainty in the 
> 
> > And
> > what constitutes 'good enough' knowledge of the state of the
> > network may be difficult to standardize - especially without
> > some real deployment experience.
> 
> The conservative position would be that you have "good enough"
> knowledge from the IGP.

Not really. You have knowledge of aggregates but a query gives you precise
information. You don't need to update the IGP every time a path changes 
you only need to when thresholds have been crossed. As far as knowing when
to 
query it is quite reasonable to keep a path changed state a the end of 
an LSP that can tell you whether there is change since the last query.

<snip> 

Don

---

From: Loa Andersson <[email-masked]>
Date: Mon, 21 May 2001 12:53:22 +0200

Don,

I think Eric and I agreed that perfect/precise knowledge of the
state of the network is not possible. What I suggested was that
the IGPgives me the knowledge I need, i.e. good enough.

The precision/prefection of the knowledge gained by the IGP vs.
a query is not better or worse, just different.

The situation I talked about was when the dynamic aspect of e.g.
has changed a link, because of changes in the IGP, not the other
way around.

Have you caluclated the amount of state that needs to be kept and
the amount of traffic to be sent and/or received to second-guess
the IGP - assuming that you uses just ten percent of the available
label speace?

/Loa

> Don Fedyk wrote:

> you only need to when thresholds have been crossed. As far as
> knowing when to

-- 
Loa Andersson
Chief Architect,
Utfors Research, Architecture and Future Lab (URAX)
Utfors AB
Råsundavägen 12
Box 525, 169 29 Solna
Office          +46 8 5270 2000
Office direct   +46 8 5270 5038
Mobile          +46 70 848 5038
Email           [email-masked]
WWW             www.utfors.se